Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRPrintHyperlink

All Known Subinterfaces:
  JRPrintImage, JRPrintText

All Known Implementing Classes:
  JRBasePrintHyperlink, JRBasePrintImage, JRBasePrintText, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplatePrintImage, JRTemplatePrintText

    public interface JRPrintHyperlink

Version:
  $Id: JRPrintHyperlink.java 3502 2010-03-04 11:05:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.lang.String` | `getHyperlinkAnchor()`
`java.lang.Integer` | `getHyperlinkPage()`
`JRPrintHyperlinkParameters` | `getHyperlinkParameters()` Returns the set of custom hyperlink parameters.
`java.lang.String` | `getHyperlinkReference()`
`byte` | `getHyperlinkTarget()` Deprecated. Replaced by `getHyperlinkTargetValue()`.
`HyperlinkTargetEnum` | `getHyperlinkTargetValue()`
`java.lang.String` | `getHyperlinkTooltip()` Returns the hyperlink tooltip.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`void` | `setHyperlinkAnchor(java.lang.String hyperlinkAnchor)`
`void` | `setHyperlinkPage(java.lang.Integer hyperlinkPage)`
`void` | `setHyperlinkParameters(JRPrintHyperlinkParameters parameters)` Sets the custom hyperlink parameters.
`void` | `setHyperlinkReference(java.lang.String hyperlinkReference)`
`void` | `setHyperlinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.
`void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)`
`void` | `setHyperlinkTooltip(java.lang.String tooltip)` Sets the tooltip to be used for the hyperlink.
`void` | `setHyperlinkType(byte hyperlinkType)` Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.
`void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
`void` | `setLinkTarget(java.lang.String linkTarget)` Sets the hyperlink target name.
`void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.

Method Detail

### getHyperlinkType

    byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

### getHyperlinkTypeValue

    HyperlinkTypeEnum getHyperlinkTypeValue()

  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. When hyperlink is of custom type, `CUSTOM` is returned.

  Returns:
    one of the hyperlink type constants
  See Also:
    `getLinkType()`

### setHyperlinkType

    void setHyperlinkType(byte hyperlinkType)

  Deprecated. Replaced by `setHyperlinkType(HyperlinkTypeEnum)`.

### setHyperlinkType

    void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

  Sets the link type as a built-in hyperlink type.

  Parameters:
    `hyperlinkType` - the built-in hyperlink type
  See Also:
    `getLinkType()`

### getHyperlinkTarget

    byte getHyperlinkTarget()

  Deprecated. Replaced by `getHyperlinkTargetValue()`.

### getHyperlinkTargetValue

    HyperlinkTargetEnum getHyperlinkTargetValue()

### setHyperlinkTarget

    void setHyperlinkTarget(byte hyperlinkTarget)

  Deprecated. Replaced by `setHyperlinkTarget(HyperlinkTargetEnum)`.

### setHyperlinkTarget

    void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

### getHyperlinkReference

    java.lang.String getHyperlinkReference()

### setHyperlinkReference

    void setHyperlinkReference(java.lang.String hyperlinkReference)

### getHyperlinkAnchor

    java.lang.String getHyperlinkAnchor()

### setHyperlinkAnchor

    void setHyperlinkAnchor(java.lang.String hyperlinkAnchor)

### getHyperlinkPage

    java.lang.Integer getHyperlinkPage()

### setHyperlinkPage

    void setHyperlinkPage(java.lang.Integer hyperlinkPage)

### getLinkType

    java.lang.String getLinkType()

  Returns the hyperlink type.

  Returns:
    the hyperlink type

### setLinkType

    void setLinkType(java.lang.String type)

  Sets the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Parameters:
    `type` - the hyperlink type

### getHyperlinkParameters

    JRPrintHyperlinkParameters getHyperlinkParameters()

  Returns the set of custom hyperlink parameters.

  Returns:
    the set of custom hyperlink parameters
  See Also:
    `setHyperlinkParameters(JRPrintHyperlinkParameters)`, `JRPrintHyperlinkParameter`

### setHyperlinkParameters

    void setHyperlinkParameters(JRPrintHyperlinkParameters parameters)

  Sets the custom hyperlink parameters.

  These parameters will be used to produce the actual hyperlink when the report is exported.

  Parameters:
    `parameters` - the set of custom hyperlink parameters

### getHyperlinkTooltip

    java.lang.String getHyperlinkTooltip()

  Returns the hyperlink tooltip.

  Returns:
    the hyperlink tooltip

### setHyperlinkTooltip

    void setHyperlinkTooltip(java.lang.String tooltip)

  Sets the tooltip to be used for the hyperlink.

  Parameters:
    `tooltip` - the tooltip

### getLinkTarget

    java.lang.String getLinkTarget()

  Returns the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Returns:
    the hyperlink type

### setLinkTarget

    void setLinkTarget(java.lang.String linkTarget)

  Sets the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Parameters:
    `linkTarget` - the hyperlink target name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com